html {
  box-sizing: border-box; }

* {
  box-sizing: border-box; }

body {
  margin: 0;
  padding: 0;
  line-height: 1.28em;
  background: url("../images/app-bg.svg") center center no-repeat;
  background-size: cover; }
  body input {
    -webkit-appearance: none !important;
    outline: none;
    border: none;
    border-bottom: 1px solid #333;
    width: 100%;
    padding: 0.45em 0.25rem;
    font-size: 1.35rem;
    font-family: 'Roboto Slab', serif;
    font-weight: 300;
    background: transparent; }
  body select {
    width: 100%;
    margin-top: 8px;
    font-size: 20px;
    display: block; }

#app {
  min-height: 100vh;
  max-width: 720px;
  margin: auto;
  width: 100vw;
  padding: 0;
  font-family: 'Roboto Slab', serif;
  font-weight: 300;
  /*
  display: flex;
  flex-direction: column;
  align-content: center;
  align-items: center;
  justify-content: center;
  */ }
  #app #app-logo {
    max-width: 40vh;
    width: 100%;
    height: auto;
    margin: 20px auto 8vh; }
    @media screen and (orientation: landscape) {
      #app #app-logo {
        max-width: 100px;
        margin-bottom: 20px;
        margin-top: 20px; } }
  #app button {
    width: 90%;
    display: block;
    text-align: center;
    font-size: 19px;
    font-family: 'Roboto Slab', serif;
    border-radius: 10px;
    margin: 1em auto 3em;
    border: none;
    padding: 0.25em;
    background: #cfffcf;
    border: 1px solid #83ff83; }
    #app button:focus {
      outline: none; }
    #app button.inline {
      width: auto;
      padding-left: 1em;
      padding-right: 1em;
      display: inline-block;
      margin-bottom: 1em; }
  #app section[data-state="login"] {
    width: 100%;
    /*background: url('../images/top-r-purple.png') top right no-repeat;
    background-size: contain;*/ }
    #app section[data-state="login"] p {
      margin-top: 0.45em;
      margin-bottom: 0.25em; }
  #app section[data-state="register"] {
    /*background: url('../images/top-r-purple.png') top right no-repeat;
    background-size: contain;*/ }
    #app section[data-state="register"] p.login-notice {
      text-align: center;
      width: 100%; }
    #app section[data-state="register"] h2 {
      font-size: 8vw;
      padding: 2rem 1rem 0.5rem;
      margin: 0;
      text-align: center;
      color: #333;
      font-weight: 700;
      line-height: 1em; }
      @media (min-width: 768px) {
        #app section[data-state="register"] h2 {
          font-size: 50px; } }
    #app section[data-state="register"] section.inputs {
      margin-bottom: 3rem;
      padding: 0 0 1rem 0; }
    #app section[data-state="register"] p.form-instruction, #app section[data-state="register"] p.section-instruction {
      font-weight: 400;
      margin-bottom: 0em;
      font-size: 1.35rem; }
    #app section[data-state="register"] p.section-instruction {
      padding: 1rem 23px 0.5rem;
      font-weight: 700; }
    #app section[data-state="register"] .form-field {
      max-width: 480px;
      margin: auto;
      padding: 20px 20px;
      font-size: 1.35rem; }
      #app section[data-state="register"] .form-field label {
        display: block;
        text-align: left;
        margin-bottom: 0.35em;
        padding-left: 3px;
        font-weight: 400;
        font-size: 0.85em;
        text-transform: uppercase; }
      #app section[data-state="register"] .form-field p.field-byline {
        font-size: 0.7em;
        margin-top: 0.5em;
        text-align: left; }
  #app section[data-state="registered"] {
    text-align: center; }
    #app section[data-state="registered"] h2.name {
      font-size: 7vw;
      text-align: center;
      margin-bottom: 8vh;
      line-height: 1.2em;
      font-weight: 700; }
      @media screen and (orientation: landscape) {
        #app section[data-state="registered"] h2.name {
          margin-bottom: 0.5em;
          margin-top: 0.15em; } }
      @media (min-width: 768px) {
        #app section[data-state="registered"] h2.name {
          font-size: 44px; } }
    #app section[data-state="registered"] .customer-id {
      text-align: center;
      font-size: 5vw;
      margin-bottom: 3vh;
      font-weight: 400; }
    #app section[data-state="registered"] .barcode-field {
      font-size: 14vw;
      text-align: center;
      width: 100%;
      text-align: center;
      display: block;
      line-height: 1em;
      margin-bottom: 1em;
      -webkit-touch-callout: none;
      /* iOS Safari */
      -webkit-user-select: none;
      /* Safari */
      -khtml-user-select: none;
      /* Konqueror HTML */
      -moz-user-select: none;
      /* Firefox */
      -ms-user-select: none;
      /* Internet Explorer/Edge */
      user-select: none; }
      @media (min-width: 768px) {
        #app section[data-state="registered"] .barcode-field {
          font-size: 80px; } }
      #app section[data-state="registered"] .barcode-field[barcode-presentation="barcode"] {
        transform: scaleY(2.7);
        font-family: 'Libre Barcode 39', cursive; }
  #app section#login-input {
    width: 90%;
    margin-left: 5%;
    margin-right: 5%;
    text-align: center; }
    #app section#login-input h2 {
      font-weight: 700;
      text-transform: uppercase; }
    #app section#login-input input {
      text-align: center; }
  #app section#card button#update-settings {
    font-size: 19px;
    margin-bottom: 10px; }
